> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetWealthNightlyRefreshStatus

<Warning>
  The Investments product will be retired on April 30, 2026. New integrations are not supported, and existing integrations will stop working after this date.
</Warning>

Specific Endpoint to get a breakdown of Refresh Errors.

## Get Nightly Refresh Status on Investments

The `/GetWealthNightlyRefreshStatus` endpoint can be used to reliably return the status of any unsuccessful or incomplete 'refresh' requests. You will require an Authentication Secrets Key in order to utilize this endpoint.

The most common response you will receive from this endpoint will be a 200 OK with an empty array on IneligibleWealths (indicating that all nightly requests were successful).

When a nightly refresh has stalled and/or failed - you will be returned the following information on that connection to handle as required. This includes the Institution, the *LoginId* (unique identifier for the user), the LastRefreshDate (the last attempted refresh), the LastRefreshState (the end state of the last refresh) and the LastRefreshErrorCode (the reason why we were unable to complete the connection). This will be returned as a list per unsuccessful connection. You should then be able to handle these errors and prompt your user to reconnect if applicable.

Please note that this endpoint will only return users where the nightly refresh has been unsuccessful and reasoning why. It will not return any information about successful connections.

In order to enable refreshes, you will need to ensure that you have the parameter scheduleRefresh=true enabled in your Flinks Connect integration.

<Warning>
  <p class="h4">You must authenticate first</p>

  Please note that you will need to provide a private Authentication key in order to use this endpoint. If you do not have one already provided, contact your Flinks Representative.
</Warning>

<Note>
  <p class="h4">Still unsure?</p>

  If you're still unsure how to use the `/GetWealthNightlyRefreshStatus` endpoint, contact your Flinks Representative and we'll work with you to make sure it is implemented correctly.
</Note>


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/GetWealthNightlyRefreshStatus/
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instanceWealth}-api.private.fin.ag
    description: Flinks Wealth API
    variables:
      instanceWealth:
        default: toolbox-wealth
        description: The environment instance (e.g., toolbox-wealth, sandbox-wealth)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GetWealthNightlyRefreshStatus/:
    get:
      tags:
        - Wealth
      summary: Get Nightly Refresh Status on Investments
      operationId: getWealthNightlyRefreshStatus
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 1d43ba20-72da-4c6a-9621-30bdb1362f6b
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field. By default, the value
            is the key for the toolbox environment.
        - name: Authorization
          in: header
          description: >-
            Contains the Bearer Token (the API secret key that Flinks provides
            you with).
          schema:
            type: string
            default: Bearer {API Secret}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    default: 0
                  IneligibleWealths:
                    type: array
                    items:
                      type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    default: 0
                  Message:
                    type: string
                  FlinksCode:
                    type: string
      deprecated: true

````